Skip to main content

POST getComponentByCI

URL: http://{{server-url}}/api/v1/cmdb/ci/{id}/discoveryComponent/{componentName}

Example: http://{{server-url}}/api/v1/cmdb/ci/1/discoveryComponent/network_adapter_component

Header: Authorization: Bearer/API Key

Example Request:

curl --location 'http://172.16.11.157/api/v1/cmdb/ci/1/discoveryComponent/network_adapter_component' \
--header 'Authorization: Apikey s3THjh8WdIbG6%2F5J%40%2B%2Fm6lV9LpOIAH4LOAMMIqHE%2B7BKqyb9zbFamUHSEnnH8nCk4NUN0jQ%3D%3D' \
--header 'Content-Type: application/json' \
--data '{
}
'

Example Response:

{
"discoveryComponentRestList": [
{
"type": "Network Adapter",
"id": 1,
"ciId": 1,
"componentType": "network_adapter_component",
"macAddress": "00:50:56:9E:03:B7",
"description": "Intel(R) 82574L Gigabit Network Connection",
"manufacturerName": "Intel Corporation",
"deviceStatus": "Unknown",
"ipAddresses": [
"fd00:1:1:1:4c01:71ae:8db6:5fc2",
"fd00:1:1:1:2dec:693e:6f5c:ed36",
"fe80::2cd1:5192:8004:7914",
"fd00:1:1:1:a3d:c601:4113:74cf",
"172.16.13.18",
"fd00:1:1:1:fd83:9620:96e3:8afb"
],
"dnsHostName": "AmanRathod-24H2",
"dnsServerSearchOrders": [
"8.8.8.8",
"1.1.1.1"
],
"dhcpEnable": "No",
"dhcpServer": "172.16.10.1",
"defaultIPGateway": [
"fe80::8639:8fff:fe1e:540",
"172.16.10.1"
],
"ipSubnet": [
"ffff:ffff:ffff:ffff::",
"255.255.248.0",
"ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff"
],
"connectionStatus": "Connected"
}
],
"totalCount": 1
}